Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.print
Class StreamsPrint

    java.lang.Object
      com.hp.hpl.jena.sdb.print.StreamsPrint

    public class StreamsPrint

extends Object

Constructor Summary
`StreamsPrint()`

Method Summary
`static
`<T extends org.openjena.atlas.io.Printable> void`
` | `print(org.openjena.atlas.io.IndentedWriter out, Iterable<? extends T> struct)`
`static
`<T extends org.openjena.atlas.io.Printable> void`
` | `print(org.openjena.atlas.io.IndentedWriter out, Iterable<? extends T> struct, String sep)`
`static
`<T extends org.openjena.atlas.io.Printable> String`
` | `printString(Iterable<? extends T> struct)`
`static
`<T extends org.openjena.atlas.io.Printable> String`
` | `printString(Iterable<? extends T> struct, String sep)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamsPrint

    public StreamsPrint()

Method Detail

### printString

    public static <T extends org.openjena.atlas.io.Printable> String printString(Iterable<? extends T> struct)

### printString

    public static <T extends org.openjena.atlas.io.Printable> String printString(Iterable<? extends T> struct,
                                                                                 String sep)

### print

    public static <T extends org.openjena.atlas.io.Printable> void print(org.openjena.atlas.io.IndentedWriter out,
                                                                         Iterable<? extends T> struct)

### print

    public static <T extends org.openjena.atlas.io.Printable> void print(org.openjena.atlas.io.IndentedWriter out,
                                                                         Iterable<? extends T> struct,
                                                                         String sep)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.